Extending Qt Creator Manual | HighlightDefinitionHandler

Extending Qt Creator Manual 4.7.1

# HighlightDefinitionHandler Class

(TextEditor::Internal::HighlightDefinitionHandler)

- List of all members, including inherited members

## Public Functions

| HighlightDefinitionHandler(const int &definition)
| ~HighlightDefinitionHandler()
bool | characters(const int &ch)
bool | endDocument()
bool | endElement(const int &namespaceURI, const int &localName, const int &qName)
bool | startDocument()
bool | startElement(const int &namespaceURI, const int &localName, const int &qName, const int &atts)

## Member Function Documentation

### HighlightDefinitionHandler::HighlightDefinitionHandler(const int &definition)

Default constructs an instance of HighlightDefinitionHandler.

### HighlightDefinitionHandler::~HighlightDefinitionHandler()

Destroys the instance of HighlightDefinitionHandler.

### bool HighlightDefinitionHandler::characters(const int &ch)

### bool HighlightDefinitionHandler::endDocument()

### bool HighlightDefinitionHandler::endElement(const int &namespaceURI, const int &localName, const int &qName)

### bool HighlightDefinitionHandler::startDocument()

### bool HighlightDefinitionHandler::startElement(const int &namespaceURI, const int &localName, const int &qName, const int &atts)